.calendar-container {
  max-width: 700px;
  margin: 0 auto;
  text-align: center
}
.month-navigation button {
  margin: 5px;
  padding: 10px 20px;
  font-size: 16px;
  cursor: pointer
}
.calendar-table {
  width: 100%;
  border-collapse: collapse;
  margin-top: 20px
}
.calendar-table td,
.calendar-table th {
  padding: 10px;
  border: 1px solid #ddd;
  text-align: center
}
.price {
  font-size: 11px;
  color: #555
}
.date-selectable {
  cursor: pointer;
  background-color: transparent;
  transition: background-color .1s
}
.disabled {
  color: #bbb;
  pointer-events: none;
  background-color: #f0f0f0
}
.date-disabled,
.only-date-to {
  color: #bbb
}
.date-disabled {
  color: #bbb;
  pointer-events: none
}
.date-selectable:hover {
  background-color: #80bfff;
  color: #fff!important
}
.date-selectable {
  color: #333;
  cursor: pointer
}
.date-today {
  color: #4a71ff;
  font-weight: 700;
  cursor: pointer
}
.date-today .price {
  color: #4a71ff
}
.selected-date {
  background-color: #80bfff;
  color: #fff
}
.in-range {
  color: #fff;
  background-color: #9ed0ff
}
.date-disabled-temp {
  color: #bbb;
  pointer-events: none
}
.success-container {
  max-width: 500px;
  margin: 50px auto;
  text-align: center;
  padding: 30px;
  border: 2px solid #4caf50;
  border-radius: 10px;
  background-color: #f9fff9
}
.success-container .checkmark {
  font-size: 80px;
  color: #4caf50
}
.success-container h2 {
  font-size: 32px;
  margin-top: 20px;
  color: #333
}
.success-container p {
  font-size: 18px;
  color: #666;
  margin-top: 10px
}
.only-date-to {
  pointer-events: none;
  cursor: pointer;
  transition: background-color .3s
}
.only-date-to.enable {
  pointer-events: auto
}
.only-date-to:hover {
  background-color: #80bfff;
  color: #fff
}
.tsImageContainer1 {
  width: 100%;
  height: 100vh!important;
  background-image: url(/images/apartments/apartment1/JPEG/ts1.jpg);
  background-size: cover;
  position: relative
}
.date-picker-box {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  gap: 10px;
  margin-top: 0
}
.date-picker-button {
  padding: 10px 20px;
  background-color: #000;
  color: #fff;
  border: none;
  cursor: pointer;
  font-size: 15px;
  min-height: 45px;
  transition: background-color .3s;
  text-align: left;
  width: 100%;
  background-color: transparent;
  color: #000;
  border: 1px solid rgba(0,0,0,.05);
  border-radius: 0px
}
.date-picker-button:hover {
  background-color: #fff
}
.number-of-people-input {
  padding: 10px;
  border: 1px solid #ddd;
  border-radius: 5px;
  font-size: 16px;
  width: 100px;
  text-align: center;
  padding: 10px 20px;
  appearance: none;
  background-color: #000;
  color: #fff;
  border: none;
  cursor: pointer;
  font-size: 15px;
  min-height: 45px;
  transition: background-color .3s;
  text-align: left;
  width: 100%;
  max-width: 130px;
  background-color: transparent;
  color: #000
}
.selectContainer {
  background-color: transparent;
  color: #000;
  border: 1px solid rgba(0,0,0,.05);
  border-radius: 8px
}
@media only screen and (max-width:430px) {
  .number-of-people-input {
    max-width: none
  }
}
.next-button {
  padding: 10px 30px;
  background-color: #000;
  color: #fff;
  border: none;
  cursor: pointer;
  font-size: 16px;
  transition: background-color .3s;
  border-radius: 0px;
  font-weight: 600;
  font-size: 15px;
  min-height: 45px;
  display: flex;
  align-items: center;
  gap: 10px
}
.next-button:hover {
  background-color: #444
}
.hidden {
  display: none;
  overflow: hidden!important
}
.month-navigation {
  text-align: center
}
.calendar-table {
  margin-top: 0;
  width: auto
}
.date-container {
  position: relative;
  width: 100%;
  max-width: 420px
}
.calendar-table td,
.calendar-table th {
  padding: 6px;
  border: 0 solid #ddd;
  text-align: center;
  font-size: 13px
}
.calendar-container {
  position: absolute;
  left: 0;
  top: 100%;
  overflow: visible;
  width: fit-content;
  margin: 0 auto;
  text-align: center;
  background-color: #fff;
  border-radius: 8px;
  box-shadow: 2px 2px 12px rgba(0,0,0,.1);
  margin-top: 10px;
  padding-top: 0!important;
  padding-bottom: 3px!important;
  z-index: 99;
  max-width: 100%;
}
.date-selectable {
  cursor: pointer;
  font-weight: 500;
  transition: background-color .1s
}
.calendar-table {
  margin-top: 0;
  width: 100%
}
#calendar-container {
  width: 100%;
  height: 300px;
  overflow: scroll;
  padding: 20px!important;
  padding-top: 10px!important
}
.calendar-days {
  display: flex;
  justify-content: space-between;
  align-items: center
}
.calendar-days div {
  font-size: 13px;
  font-weight: 600;
  flex: 1
}
.enableDatecalendar-container {
  position: relative
}
.calendar-container::after {
  content: '';
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  border-radius: 12px;
  height: 80px;
  background: linear-gradient(to top,#fff,transparent);
  pointer-events: none
}
.month-year-display {
  font-size: 18px;
  margin-bottom: 7px
}
.calendar-title {
  font-size: 28px;
  max-width: 920px;
  line-height: 40px;
  letter-spacing: -.5px;
  font-weight: 600;
  margin-bottom: 0!important;
  margin-top: 0
}
.calendar-subtitle {
  font-size: 17px;
  margin-top: 10px;
  opacity: .65;
  margin-top: 0!important;
  margin-bottom: 14px!important
}
.calendar-subtitle-mini {
  font-size: 13px;
  margin-top: -5px!important;
  margin-bottom: 20px!important;
  max-width: 450px;
  line-height: 15px;
  opacity: .45
}
.calendar-main-container {
  position: relative;
  padding-bottom: 40px!important;
  margin-top: 40px;
  backdrop-filter: 0;
  -webkit-backdrop-filter: 0;
  background: white;
}
.tsImageContainer1 {
  height: calc(100vh - 100px)!important;
  max-height: 600px;
background-position: 50% 50%;
}
.displayFlex {
  display: flex;
  align-items: center;
  gap: 6px
}
.selectContainer {
  padding-right: 0
}
.selectContainer select {
  padding-right: 45px;
  max-width: 220px
}
.hidden {
  display: none
}
.guest-selector-button {
  padding: 10px 20px;
  background-color: #000;
  color: #fff;
  border: none;
  cursor: pointer;
  font-size: 15px;
  min-height: 45px;
  transition: background-color .3s;
  text-align: left;
  width: 100%;
  background-color: transparent;
  color: #000;
  border: 1px solid rgba(0,0,0,.05);
  border-radius: 0px
}
.guest-selection-container {
  position: absolute;
  left: 0;
  top: 100%;
  overflow: visible;
  width: fit-content;
  margin: 0 auto;
  text-align: center;
  background-color: #fff;
  border-radius: 8px;
  box-shadow: 2px 2px 12px rgba(0,0,0,.1);
  margin-top: 10px;
  z-index: 99;
  padding: 30px
}
.guest-type {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 15px;
  gap: 30px
}
.counter-container {
  display: flex;
  align-items: center
}
.counter-btn {
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #e6e6e6;
  border: none;
  border-radius: 50%;
  width: 32px;
  height: 32px;
  cursor: pointer
}
.counter-btn:disabled {
  opacity: .5;
  cursor: not-allowed
}
.counter-btn .icon {
  display: flex
}
.counter-btn .icon svg {
  fill: #333;
  width: 20px;
  height: 20px
}
.counter-value {
  width: 30px;
  text-align: center;
  font-size: 16px;
  margin: 0 10px
}
.child-age-dropdown {
  margin-bottom: 10px
}
.child-age-dropdown label {
  display: block;
  font-size: 14px;
  margin-bottom: 5px
}
.child-age-dropdown select {
  appearance: none;
  padding: 10px 10px;
  cursor: pointer;
  font-size: 13px;
  min-height: 45px;
  transition: background-color .3s;
  text-align: left;
  width: 100%;
  background-color: transparent;
  color: #000;
  border: 1px solid rgba(0,0,0,.05);
  border-radius: 8px
}
.guest-selection-done {
  width: 100%;
  padding: 10px;
  background-color: #007bff;
  color: #fff;
  border: none;
  font-size: 15px;
  font-weight: 600;
  cursor: pointer;
  border-radius: 8px
}
.guest-selection-done:hover {
  background-color: #0056b3
}
.arrowDown {
  position: relative;
  padding-right: 45px
}
.arrowDown::after {
  content: '';
  position: absolute;
  right: 10px;
  top: 50%;
  transform: translateY(-50%);
  width: 14px;
  height: 8px;
  background-image: url('/images/SVG/arrowBlackDown.svg');
  background-size: contain;
  background-repeat: no-repeat
}
.selector-disabled {
  opacity: .55;
  pointer-events: none
}
.calendar-main-container.homepagebooking {
  margin-top: -150px;
  position: relative;
  background: linear-gradient(to top,#fff 50%,rgba(255,255,255,.6))
}
.carousel-slide.homepagebooking {
  height: 800px!important
}
.apartment-selector {
  color: #000;
}
.apartment-selector:focus {
  outline: 0
}
.apartment-selector-container{
  border-radius: 0 !important;
}
@media only screen and (min-width:550px){
  
.homepage.main .calendarSection{
  position: sticky;
top: 70px;
z-index: 999;
padding-top: 20px;
}
.homepage.main .calendar-main-container{
  padding: 6px !important;
  margin: 0 auto;
}
.homepage.main .date-picker-box{
  justify-content: center;
}
h1 {
  font-size: 37px;
  line-height: 41px;
}
p{
  font-size: 13px;
}
.highlightedSection.sectionPadding .tsImageContainer {
  height: 500px !important;
  background-position: 50% 70%;
  }
  h2 {
    font-size: 24px;
    max-width: 780px;
    line-height: 32px;
    font-weight: 600;
    margin: 0;
    }
    .moreInfoContainer {
      display: flex;
      gap: 80px;
      margin-top: 40px;
      padding-bottom: 60px;
      }
      .heroVideoSection {
        max-height: 500px !important;
      }
      h3 {
        font-size: 36px;
        margin-bottom: 20px;
        margin-top: 20px;
        }
        .apartmentSubHeadingContainer {
          gap: 50px;
flex-direction: row-reverse;
justify-content: left;
          }
          .apartmentSubHeadingContainer{
            max-width: 580px;
          }
          .carousel-slide{
            height: 500px;
          }
          .carousel-buttons img{
            width: 50px;
            height: 15px;
          }
          .carousel-info{
            padding: 15px 40px;
          }
          .image-info {
            font-size: 16px;
          }
          .calendarSection.hideInputBorders .date-picker-button{
            border: 1px solid transparent !important;
          }
          .calendarSection.hideInputBorders .guest-selector-button{
            border: 1px solid transparent !important;
          }
          .calendarSection.hideInputBorders .apartment-selector-container{
            border: 1px solid transparent !important;
          }
          #guest-selection-done{
            background-color: black !important;
            border-radius: 0 !important;
          }
          .guest-selection-container{
            border-radius: 0;
          }
          .calendar-container{
            border-radius: 0;
          }
          .choose-dates-button{
            font-size: 14px;
          }
          #guest-selector-button{
            font-size: 14px;
          }
          .apartment-selector-container{
            font-size: 14px;
          }
          .doublePadding {
            padding-left: 80px;
            padding-right: 80px;
            }
            footer{
              padding-top: 80px;
            }
            footer p {
              font-size: 23px;
              line-height: 26px;
              }
              
              footer a{
                font-size: 28px;
              }
              .footerLogoText p {
                font-size: 13px;
                line-height: 19px;
                }
                .footerNavLinks {
                  gap: 20px;
                  }
                  .footerLinks a {
                    font-size: 17px;
                    }
                    .footerLinks div {
                      gap: 10px;
                      }
                      .footerInfo a {
                        font-size: 14px!important;
                        opacity: .55;
                        }
                        .highlightedSectionTextContainer {
                          padding-bottom: 50px;
                          }
                          #apt1Page h1{
                            margin-top: 0;
                            margin-bottom: 10px;
                          }
                          hr {
                            border: 0;
                            border-top: none;
                          }
                          .moreInfoGetTo p {
                            max-width: 370px;
                            }

}
.bookSection{
  padding-top: 0 !important;
  gap: 10px !important;
}
.bookSection form{
  border-radius: 0 !important;
  margin: 10px 0 !important;
}
.bookSection div{
  border-radius: 0;
}
form input, form textarea{
  border-radius: 0;
}
.bookSection button{
  border-radius: 0 !important;
}
@media only screen and (max-width:550px) {
  .calendarSection .calendar-main-container {
    position: relative;
    padding-bottom: 40px!important;
    margin-top: 0;
    backdrop-filter: none;
    -webkit-backdrop-filter: none;
    background: #fff;
    padding: 15px!important;
    padding-bottom: 10px!important
  }
  .calendarSection .calendar-main-container .arrowDown {
    width: 100%!important;
    border: none!important;
    border-bottom: 1px solid rgba(196,196,196,.47)!important;
    border-radius: 0!important;
    padding-left: 0!important
  }
  .calendar-container {
    border-radius: 0 !important;
  }
  .calendar-container .guest-selector-container{
    width: 100%;
  }
  #guest-selection-container{
    border-radius: 0 !important;
  }
  #guest-selection-done{
    background-color: black !important;
    text-transform: none;
    letter-spacing: 0;
    border-radius: 0;
  }
  .calendarSection .calendar-main-container #guest-selector-button {
    width: 100%!important
  }
  .calendarSection .calendar-main-container #apartment-selector {
    width: 100%;
    padding-left: 0;
  }
  .homepage .highlightedSection .tsContainer{
    display: none;
  }
  .homepage .highlightedSection{
    padding-top: 10px;
  }
  #apt1Page .highlightedSection {
    padding-top: 0px;
    }
  .homepage .heroVideoSection {
    max-height: 230px !important;
    filter: brightness(140%)
  }
  .homepage header .populateEmailLink {
    display: none
  }
  .calendarSection .calendar-subtitle-mini {
    gap: 6px;
    margin-top: 15px!important;
    font-size: 12px;
    opacity: .35
  }
  .calendarSection .next-button {
    margin-top: 1px;
    border-radius: 0;
    border: none
  }
  .calendarSection .next-button img {
    display: none
  }
  .highlightedSection {
    padding-top: 10px
  }
  .highlightedSectionTextContainer h1 {
    font-size: 24px;
    line-height: 30px;
    font-weight: 300;
    text-transform: uppercase;
    letter-spacing: 0.3px;
    }
  .highlightedSectionTextContainer p {
    max-width: 460px;
    font-size: 13px
  }
  .homepage .highlightedSection.sectionPadding .tsImageContainer {
    height: 220px!important
  }
  .moreInfoSection h2 {
    font-size: 16px;
    line-height: 22px;
    max-width: 650px;
    font-weight: 600
  }
  .moreInfoContainer {
    margin-top: 40px
  }
  .homepage p {
    font-size: 13px
  }
  .getTo img {
    width: 35px;
    height: 35px
  }
  hr {
    border: 0;
    border-top: 1px solid rgba(196,196,196,.47) !important;
  }
  .moreInfoContainer {
    display: block;
    padding-bottom: 10px
  }
  .homepage .apartmentSection {
    background-color: #f9f9f9;
    padding-top: 5px
  }
  .apartmentSection h3 {
    font-size: 24px;
    margin: 10px 0
  }
  .carousel-container {
    margin-top: 10px
  }
  .homepage .carousel-slide {
    height: 220px
  }
  .image-info {
    font-size: 13px !important;
  }
  .carousel-info {
    flex-direction: column !important;
gap: 10px !important;
padding-top: 15px !important;
  }
  .apartmentSubHeadingContainer {
    gap: 5px
  }
  footer {
    padding-top: 30px!important;
    padding-bottom: 60px!important
  }
  .footerHeadline {
    font-size: 15px;
    line-height: 19px;
    max-width: 265px;
    margin-bottom: 40px!important
  }
  .footerNavLinks {
    gap: 25px
  }
  footer .footerLogoText {
    gap: 10px;
    flex-direction: column;
    text-align: center;
    padding: 40px 0;
    margin: 50px 0
  }
  footer .footerLogoText p {
    font-size: 12px;
    line-height: 16px;
    opacity: 1
  }
  .footerLinks a {
    font-size: 14px
  }
  .footerLinks div {
    gap: 7px
  }
  .footerLinks {
    gap: 30px
  }
  .footerInfo a {
    font-size: 12px!important
  }
  .footerSocial {
    gap: 20px!important;
    margin-bottom: 10px
  }
  .calendar-main-container.homepagebooking {
    position: relative
  }
  .carousel-slide.homepagebooking {
    height: 500px!important
  }
  .date-picker-box {
    flex-direction: column;
    justify-content: left;
    align-items: baseline
  }
  .calendar-subtitle-mini {
    flex-direction: column
  }
  .calendar-title {
    line-height: 30px
  }
  .marginTen {
    margin-left: 0px;
    }
    .guest-selector-container{
      width: 100%;
    }
    .date-picker-box * {
      text-transform: uppercase;
      letter-spacing: 0.4px;
    }
    .homepage .garazaImg{
      width: 100%;
      max-width: none;
    }
    .tsImageContainer1 {
      max-height: 300px;
    background-position: 50% 50%;
    }
    .tsImageContainer2 {
      max-height: 300px;
    background-position: 50% 50%;
    }
    .tsImageContainer {
      max-height: 300px;
    background-position: 50% 50%;
    }
    #apt1Page .calendar-main-container{
      margin-top: 0;
    }
    #apt1Page .moreInfoGetTo {
      gap: 10px;
      }
      #apt1Page .carousel-info {
        padding: 15px 20px !important;
        }
}

@media only screen and (max-width:400px) {
  #calendar-container{
    padding: 0 !important;
  }
  .calendar-container{
    border-radius: 0;
    width: calc(100% + 40px) !important;
max-width: none;
left: -20px;
  }
  .date-picker-box * {
    text-transform: uppercase;
    letter-spacing: 0;
    font-size: 13px;
    }
    #apartment-selector{
      font-size: 13px !important;
    }
    .calendar-days div {
      font-size: 11px;
      font-weight: 600;
      flex: 1;
      }
      .price{
        font-size: 11px;
      }
      .calendar-table td, .calendar-table th{
        padding: 5px;
      }
}